package jalview.ext.rbvi.chimera;

import static org.testng.AssertJUnit.assertFalse;
import static org.testng.AssertJUnit.assertTrue;

import org.testng.annotations.Test;

import ext.edu.ucsf.rbvi.strucviz2.ChimeraManager;
import ext.edu.ucsf.rbvi.strucviz2.StructureManager;

public class ChimeraConnect
{

  @Test
  public void testLaunchAndExit()
  {
    final StructureManager structureManager = new StructureManager(true);
    ChimeraManager cm = new ChimeraManager(structureManager);
    assertTrue("Couldn't launch chimera",
            cm.launchChimera(StructureManager.getChimeraPaths()));
    assertTrue(cm.isChimeraLaunched()); // Chimera process is alive
    // int n=0;
    // not sure of the point of this is unless the tester is loading models
    // manually?
    // while (n++ < 100)
    // {
    // try {
    // Thread.sleep(1000);
    // } catch (Exception q)
    // {
    //
    // }
    // Collection<ChimeraModel> cms = cm.getChimeraModels();
    // for (ChimeraModel cmod :cms) {
    // System.out.println(cmod.getModelName());
    // }
    // }
    cm.exitChimera();
    assertFalse(cm.isChimeraLaunched()); // Chimera process has ended
  }

}
